Bug 463604 - [LTC 6.0 FEAT] 201179:Decimal Floating Point support in gcc backend - PFPO
[LTC 6.0 FEAT] 201179:Decimal Floating Point support in gcc backend - PFPO
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Jakub Jelinek
qe-baseos-tools
: FutureFeature, OtherQA
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-23 23:10 EDT by IBM Bug Proxy
Modified: 2011-05-13 09:23 EDT (History)
8 users (show)

See Also:
Fixed In Version: gcc-4.4.1-22.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 08:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 23:10:42 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:05 EDT
1. Feature Overview:
Feature Id:	[201179]
a. Name of Feature:	Decimal Floating Point support in gcc backend - PFPO
b. Feature Description
The new pfpo instruction coming with z9 GA3 provides comprehensive conversion routines between
different floating point formats. This items enables gcc to make use of the new instruction in order
to implement type conversions.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Toolchain: Yes
Delivery Mechanism: Backport
Category:	Toolchain
Request Type:	Toolchain - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	gcc 4.3

3. Business Case
Make use of new hardware instructions and thus Improve Performance of Applications running
operations on DFP type values.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 16:21:11 EDT
RHEL 6 will include at least gcc-4.3, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 releng-rhel@redhat.com 2009-10-29 09:43:54 EDT
Fixed in 'gcc-4.4.1-22.el6', included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 4 John Jarvis 2010-04-12 13:33:38 EDT
IBM is signed up to test and provide feedback
Comment 6 IBM Bug Proxy 2010-08-24 11:13:01 EDT
------- Comment From mgrf@de.ibm.com 2010-08-24 11:06 EDT-------
Decimal Floating Point support will be technical preview until additional fixes are provided via z.stream

=> This need to be documented in R6 release notes

Snap11 includes the rebase build on August 6th
66187  -  RIT1200773-'Rebase Libdfp'

Additional fixes required as per 2010-08-24
66195  -  RIT1234083- DFP: strtod32/64/128 loses first decimal digit when converting numbers between 0 and 1
66196  -  RIT1264143- DFP: strtod32 maps 0E+100 to inf instead to zero
66559  -  RIT1281593- DFP: odd behavior of printf with DFP numbers

This feature is tested 90%
-> tests to be completed based on z.stream fixes

Set feature to verified for R6 with the limitation raised above
Comment 7 releng-rhel@redhat.com 2010-11-15 08:58:00 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.